@charset "utf-8";

/*===========================================================*/
/* 手書き風ロゴアニメーション*/
/*===========================================================*/

/*========= LoadingのためのCSS ===============*/

/* Loading背景画面設定　*/
#splash {
  /*fixedで全面に固定*/
  position: fixed;
  z-index: 999;

  width: 100%;
  height: 100%;

  text-align: center;

  color: #fff;
  /*background: #333;*/
  background: #fffab;
}

/* Loading画像中央配置　*/
#splash_logo {
  position: absolute;
  top: 50%;
  left: 50%;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

/* Loading アイコンの大きさ設定　*/
#splash_logo svg {
  width: 300px;
}

/*========= SVG操作手書き風にするためのCSS ===============*/

#mask .st0 {
  fill: none;
  stroke: #fff;
  stroke-width: 90; /*線の太さを指定する*/
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-miterlimit: 10;
  stroke-dasharray: 1500; /* 線の間隔を指定する */
  stroke-dashoffset: 1500; /* 線の位置を指定する */
}

/*===========================================================*/
/* 背景色が円形に縮小（中央へ）*/
/*===========================================================*/

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/

.splashbg {
  position: fixed;
  z-index: 999;
  /*丸のスタートの形状*/
  top: calc(50% - 1rem); /*50%から円の半径を引いた値*/
  left: calc(50% - 1rem); /*50%から円の半径を引いた値*/

  display: none;

  width: 2rem;
  height: 2rem;

  -webkit-transform: scale(100);
  -ms-transform: scale(100);
  transform: scale(100);
  /*伸びる背景色の設定*/
  /*background-color: #333;*/

  background-color: red;
}
body.appear .splashbg {
  display: block;

  -webkit-animation-name: PageAnime;
  animation-name: PageAnime;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  border-radius: 50%;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnime {
  0% {
    /*丸のスタート位置と形状*/
    -webkit-transform: scale(100);
    transform: scale(100);
  }
  100% {
    display: none; /*終了時は消える*/
    /*丸の終了位置と形状*/

    -webkit-transform: scale(0);
    transform: scale(0);
  }
}

@keyframes PageAnime {
  0% {
    /*丸のスタート位置と形状*/
    -webkit-transform: scale(100);
    transform: scale(100);
  }
  100% {
    display: none; /*終了時は消える*/
    /*丸の終了位置と形状*/

    -webkit-transform: scale(0);
    transform: scale(0);
  }
}

/*画面遷移の後現れるコンテンツ設定*/
#container {
  opacity: 0; /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #container {
  -webkit-animation-name: PageAnimeAppear;
  animation-name: PageAnimeAppear;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-delay: 0.8s;
  animation-delay: 0.8s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/*===========================================================*/
/* 左から右に線が伸びる（上部）
/*===========================================================*/

.gnavi {
  font-size: 0.8rem;

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  list-style: none;

  letter-spacing: 0.2em;
  text-transform: uppercase;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.gnavi a {
  display: block;

  padding: 10px 30px;

  text-decoration: none;

  color: rgba(255, 255, 255, 0.7);
}

.nav01d li a {
  /*線の基点とするためrelativeを指定*/
  position: relative;
}

.nav01d li.current a,
.nav01d li a:hover {
  color: rgba(255, 255, 255, 0.7);
}

.nav01d li a::after {
  /*絶対配置で線の位置を決める*/
  position: absolute;
  top: 0;
  left: 10%;
  /*線の形状*/

  width: 80%;
  height: 2px;

  content: "";
  /*アニメーションの指定*/
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transform: scale(0, 1);
  -ms-transform: scale(0, 1);
  transform: scale(0, 1); /*X方向0、Y方向1*/
  -webkit-transform-origin: left top;
  -ms-transform-origin: left top;
  transform-origin: left top; /*左上基点*/

  background: rgba(255, 255, 255, 0.7);
}

/*現在地の形状の設定*/
.nav01d li.current a::after {
  -webkit-transform: scale(0.2, 1);
  -ms-transform: scale(0.2, 1);
  transform: scale(0.2, 1); /*X方向に0.2スケール拡大*/
}

/*現在地を含むhoverの設定*/
.nav01d li.current a:hover::after,
.nav01d li a:hover::after {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  transform: scale(1, 1); /*X方向にスケール拡大*/
}

/*===========================================================*/
/* 順番に現れる（CSS）
/*===========================================================*/

.nav01d li:nth-of-type(1) {
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s;
}

.nav01d li:nth-of-type(2) {
  -webkit-animation-delay: 0.3s;
  animation-delay: 0.3s;
}

.nav01d li:nth-of-type(3) {
  -webkit-animation-delay: 0.4s;
  animation-delay: 0.4s;
}

.nav01d li:nth-of-type(4) {
  -webkit-animation-delay: 0.5s;
  animation-delay: 0.5s;
}

/*===========================================================*/
/* クリックしたら円形背景が拡大（右上から）
/*===========================================================*/

/*========= ナビゲーションのためのCSS ===============*/
@media screen and (max-width: 768px) {
  /*アクティブになったエリア*/
  #g-nav.panelactive {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    top: 0;
    right: inherit;

    width: 100%;
    height: 100vh;
  }

  /*丸の拡大*/
  .circle-bg {
    position: fixed;
    z-index: 3;
    top: -15px;
    right: -15px;
    /*丸の形*/

    width: 100px;
    height: 100px;

    -webkit-transition: all 0.6s;
    -o-transition: all 0.6s;
    transition: all 0.6s; /*0.6秒かけてアニメーション*/
    /*丸のスタート位置と形状*/
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); /*scaleをはじめは0に*/

    border-radius: 50%;
    background: #333;
  }

  .circle-bg.circleactive {
    -webkit-transform: scale(50);
    -ms-transform: scale(50);
    transform: scale(50); /*クラスが付与されたらscaleを拡大*/
  }

  /*ナビゲーションの縦スクロール*/
  #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;

    display: none; /*はじめは表示なし*/
    overflow: auto;

    width: 100%;
    height: 100vh;

    -webkit-overflow-scrolling: touch;
  }

  #g-nav.panelactive #g-nav-list {
    display: block; /*クラスが付与されたら出現*/
  }

  /*ナビゲーション*/
  #g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;

    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);

    opacity: 0; /*はじめは透過0*/
  }

  /*背景が出現後にナビゲーションを表示*/
  #g-nav.panelactive ul {
    opacity: 1;

    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  /*リストのレイアウト設定*/
  #g-nav.panelactive li {
    width: 100%;

    text-align: center;
  }

  #g-nav.panelactive li a {
    display: block;

    padding: 15px 0;
  }
}

/*==================================================
 3本線が回転して×に
===================================*/

.openbtn {
  display: none;
}

@media screen and (max-width: 768px) {
  /*ボタン外側*/
  .openbtn {
    position: fixed;
    z-index: 9999; /*ボタンを最前面に*/
    top: 10px;
    right: 10px;

    display: block;

    width: 50px;
    height: 50px;

    cursor: pointer;

    border-radius: 5px;
    background: #d87514;
  }

  /*ボタン内側*/
  .openbtn span {
    position: absolute;
    left: 14px;

    display: inline-block;

    height: 3px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    transition: all 0.4s; /*アニメーションの設定*/

    border-radius: 2px;
    background: #fff;
  }

  .openbtn span:nth-of-type(1) {
    top: 15px;

    width: 45%;
  }

  .openbtn span:nth-of-type(2) {
    top: 23px;

    width: 35%;
  }

  .openbtn span:nth-of-type(3) {
    top: 31px;

    width: 20%;
  }

  /*activeクラスが付与されると線が回転して×になる*/

  .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;

    width: 30%;

    -webkit-transform: translateY(6px) rotate(-135deg);
    -ms-transform: translateY(6px) rotate(-135deg);
    transform: translateY(6px) rotate(-135deg);
  }

  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }

  .openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;

    width: 30%;

    -webkit-transform: translateY(-6px) rotate(135deg);
    -ms-transform: translateY(-6px) rotate(135deg);
    transform: translateY(-6px) rotate(135deg);
  }
}
/*===========================================================*/
/* 無限に波紋が広がる
/*===========================================================*/

.btnripple2 {
  position: fixed;
  z-index: 2;
  /*top: 50%;*/
  top: 65%;
  left: 50%;
  /*波紋の形状*/

  display: inline-block;

  width: 70px;
  height: 70px;
  /*アニメーションの設定*/

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  /*border: 2px solid #fff;*/

  border: 2px solid red;
  border-radius: 50%;
  outline: none;
  background: transparent;
  background-color: red;
}

/*hoverした際の背景色の設定*/
.btnripple2:hover {
  border-color: transparent;
  background: #d87514;
}

/*波形を2つ設定*/
.btnripple2::after,
.btnripple2::before {
  /*絶対配置で波形の位置を決める*/
  position: absolute;
  top: -25%;
  left: -25%;

  width: 150%;
  height: 150%;

  content: "";
  /*ループするアニメーションの設定*/
  -webkit-animation: 1s circleanime linear infinite;
  animation: 1s circleanime linear infinite;
  /*はじめは不透明*/

  opacity: 1;
  /*波形の形状*/
  border: 1px solid #fff;
  border-radius: 50%;
}

/*波形の2つ目は0.5秒遅らせてアニメーション*/
.btnripple2::before {
  -webkit-animation-delay: 0.5s;
  animation-delay: 0.5s;
}

/*波形のアニメーション*/
@-webkit-keyframes circleanime {
  0% {
    -webkit-transform: scale(0.68);
    transform: scale(0.68);
  }
  100% {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);

    opacity: 0;
  }
}
@keyframes circleanime {
  0% {
    -webkit-transform: scale(0.68);
    transform: scale(0.68);
  }
  100% {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);

    opacity: 0;
  }
}

/*中央矢印*/

.btnripple2 span::after {
  /*絶対配置で矢印の位置を決める*/
  position: absolute;
  top: 38%;
  left: 45%;

  content: "";
  /*矢印の形状*/

  border: 14px solid transparent;
  border-top-width: 10px;
  border-bottom-width: 10px;
  border-left-color: #fff;
}

/*===========================================================*/
/* リンクをクリックすると、背景が暗くなり動画や画像やテキストを表示
/*===========================================================*/

/*========= モーダル表示のためのCSS ===============*/

/*全て共通：hideエリアをはじめは非表示*/
.hide-area {
  display: none;
}

/*全て共通：モーダルのボタンの色を変更したい場合*/
.modaal-close:after,
.modaal-close:before {
  background: #ccc;
}

.modaal-close:focus:after,
.modaal-close:focus:before,
.modaal-close:hover:after,
.modaal-close:hover:before {
  background: #666;
}

/*余白を少なくする*/
.modaal-content-container {
  padding: 10px;
}

/*===========================================================*/
/* 画面全体に背景動画を流す
/*===========================================================*/

/*========= 背景動画設定のCSS ===============*/

/*container設定*/
#container {
  position: relative; /*h1の中央寄せ配置の起点とするためのrelative*/

  height: 100vh; /*高さを全画面にあわせる*/
}

#video-area {
  position: fixed;
  z-index: -1; /*最背面に設定*/
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  overflow: hidden;
}

#video {
  /*天地中央配置*/
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  /*縦横幅指定*/

  width: 177.77777778vh; /* 16:9 の幅→16 ÷ 9＝ 177.77% */
  min-width: 100%;
  height: 56.25vw; /* 16:9の幅 → 9 ÷ 16 = 56.25% */
  min-height: 100%;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.modaal-content-container video {
  width: 100%;
}

/*===========================================================*/
/* 最低限おぼえておきたい動き
/*===========================================================*/

/* ふわっ（上から） */

.fadeDown {
  -webkit-animation-name: fadeDownAnime;
  animation-name: fadeDownAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeDownAnime {
  from {
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

@keyframes fadeDownAnime {
  from {
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

.fadeDownTrigger {
  opacity: 0;
}

/*===========================================================*/
/* テキストが流れるように出現（下から上）
/*===========================================================*/

.slide-in {
  display: inline-block;
  overflow: hidden;
}

.slide-in_inner {
  display: inline-block;
}

/*上下のアニメーション*/

.upAnime,
.downAnime {
  opacity: 0; /*事前に透過0にして消しておく*/
}

.slideAnimeDownUp {
  -webkit-animation-name: slideTextY100;
  animation-name: slideTextY100;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes slideTextY100 {
  from {
    -webkit-transform: translateY(100%);
    transform: translateY(100%); /*要素を上の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

@keyframes slideTextY100 {
  from {
    -webkit-transform: translateY(100%);
    transform: translateY(100%); /*要素を上の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

.slideAnimeUpDown {
  -webkit-animation-name: slideTextY-100;
  animation-name: slideTextY-100;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes slideTextY-100 {
  from {
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%); /*要素を下の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}

@keyframes slideTextY-100 {
  from {
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%); /*要素を下の枠外に移動*/

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0); /*要素を元の位置に移動*/

    opacity: 1;
  }
}
